import { Component } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { User, UsersService } from '../services/users.service';

@Component({
  selector: 'app-page-user',
  templateUrl: './page-user.component.html',
  styleUrls: ['./page-user.component.scss']
})
export class PageUserComponent {
    public user: User = { images: [], username: 'loading...' };

    public constructor(
        private route: ActivatedRoute,
        private users: UsersService
    ) {
        route.paramMap.subscribe(async v => {
            this.user = await users.get(v.get('name')!);
        });
    }
}
